SURFACEINFLATE(1)

NAME
surfaceInflate - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
surfaceInflate [OPTIONS] input distance factor

DESCRIPTION
Inflates surface according to point normals.
Creates inflated version of surface using point normals. Takes surface, distance
to inflate and additional safety factor

ARGUMENTS

input
    The input surface file

distance
    The inflate distance

factor
    The extend safety factor [1,10]

OPTIONS

-case dir
    Specify case directory to use (instead of the cwd)

-checkSelfIntersection
    Also check for self-intersection

-debug
    Switch on additional debug information

-featureAngle scalar
    Feature angle

-nSmooth integer
    Number of smoothing iterations (default 20)

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-fileHandler handler
    Override the file handler type

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-lib name
    Additional library or library list to load (can be used multiple times)

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-doc-source
    Display source code in browser

-help-compat
    Display compatibility options and exit

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

  COMPATIBILITY OPTIONS

-noFunctionObjects
    This option is ignored

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.